> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# طلب رمز مصادقة مع التوقيع

> يوقّع رسالة بالصيغة `{signText}{time}` حيث يكون signText هو "Sign in to raydium.io: " والوقت هو طابع Unix الحالي بالثواني. يجب على المحفظة التوقيع على هذه الرسالة وتقديم التوقيع للحصول على رمز JWT.



## OpenAPI

````yaml /ar/api-reference/openapi/launch-auth-v1.yaml post /request-token
openapi: 3.0.3
info:
  title: واجهة برمجية لمصادقة Raydium Launch
  description: >-
    تدير مصادقة المحفظة لواجهات برمجية LaunchLab و Forum. تصدر رموز JWT بعد
    التحقق من توقيعات محافظ ed25519. الرموز مطلوبة لنشر التعليقات وإدارة المحتوى
    على واجهة برمجية Forum.
  version: 1.0.0
servers:
  - url: https://launch-auth-v1.raydium.io
    description: Mainnet
  - url: https://launch-auth-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Token Management
    description: طلب والتحقق من رموز المصادقة
  - name: Utilities
    description: نقاط نهاية فحص الصحة
paths:
  /request-token:
    post:
      tags:
        - Token Management
      summary: طلب رمز مصادقة مع التوقيع
      description: >-
        يوقّع رسالة بالصيغة `{signText}{time}` حيث يكون signText هو "Sign in to
        raydium.io: " والوقت هو طابع Unix الحالي بالثواني. يجب على المحفظة
        التوقيع على هذه الرسالة وتقديم التوقيع للحصول على رمز JWT.
      operationId: postRequestToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - time
                - signature
                - wallet
              properties:
                time:
                  type: integer
                  description: طابع Unix الحالي بالثواني عند التوقيع على الرسالة
                  example: 1704067200
                signature:
                  type: string
                  description: توقيع ed25519 للرسالة (مشفر بـ base58)
                  example: 3veiKZ6IHo7jrz9XdwLd8KvvP2pinCtjJXWe6MGNDUjT...
                wallet:
                  type: string
                  description: مفتاح عام لمحفظة Solana
                  example: 4k3Dyjzvzp8eMZWUXbBCjEvwSvsrFjJqkDsyU5F5oV4
      responses:
        '200':
          description: تم إصدار الرمز بنجاح
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      token:
                        type: string
        '400':
          description: معاملات طلب غير صحيحة
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: false
                  data:
                    type: object
                    properties:
                      msg:
                        type: string
                        example: Invalid signature

````